 /*
  * Khoros: $Id: scrolls.h,v 1.1 1991/05/10 15:59:48 khoros Exp $
  */

 /*
  * $Log: scrolls.h,v $
 * Revision 1.1  1991/05/10  15:59:48  khoros
 * Initial revision
 *
  */ 


/*
 *----------------------------------------------------------------------
 *
 * Copyright 1990, University of New Mexico.  All rights reserved.
 * 
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *----------------------------------------------------------------------
 */

#include "unmcopyright.h"	 /* Copyright 1990 by UNM */
/*
 *	The Scroll_Data structure contains all the information
 *	needed for a callback routine for the scroll bars that
 *	appear on the perspective selection bar.  These are the
 *      scroll bars that rotate the perspective about X, and about
 *	Z.
 */


typedef struct {
        float  float_min;
        float  float_max;
        float  float_value;
        int    bar_width;
        int    increment;
	char   *buffer;
	int    flag;
        Widget *val_widget;
        Widget *scroll_widget;
        }  Scroll_Data;

/*
 *   	this structure is for looking up desired info about the value
 *	widget associated with a scroll bar that appears on the perspective
 *	selection bar.
 */
	
typedef struct scroll_link {
                Widget  value_widget;
                Scroll_Data *scroll_info;
                struct scroll_link *next;
                } persp_scroll_link;

persp_scroll_link *persp_scroll_list;


#define RotateX 1
#define RotateZ 2
#define Camera  3
#define Zoom    4

